### Signal

# Gtk FileChooserWidget::location-toggle-popup

since: 4.0

#### Declaration

    void
    location_toggle_popup (
      GtkFileChooserWidget* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the user asks for it.

This is a keybinding signal.

This is used to toggle the visibility of a “Location” prompt which the user can use to manually type the name of the file he wishes to select.

The default binding for this signal is `Control`-`L`.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code
Available since: 4.0